## org.eclipse.emf.compare
Class EMFComparePlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.emf.compare.EMFComparePlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class EMFComparePlugin

extends org.eclipse.core.runtime.Plugin

The activator class, controls the plug-in life cycle.

Field Summary
`static java.lang.String` `PLUGIN_ID` The plugin ID.

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`EMFComparePlugin()` Default constructor.

Method Summary
`boolean` `getBoolean(java.lang.String preferenceKey)` Returns the current value of the boolean-valued preference with the given key.
`static EMFComparePlugin` `getDefault()` Returns the plugin's shared instance.
`int` `getInt(java.lang.String preferenceKey)` Returns the current value of the integer-valued preference with the given key.
`static void` `log(java.lang.Exception e, boolean blocker)` Trace an Exception in the error log.
`static void` `log(org.eclipse.core.runtime.IStatus status)` Puts the given status in the error log view.
`static void` `log(java.lang.String message, boolean blocker)` Puts the given message in the error log view, as error or warning.
`void` `start(org.osgi.framework.BundleContext context)`
`void` `stop(org.osgi.framework.BundleContext context)`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

  The plugin ID.

  See Also:
    Constant Field Values

Constructor Detail

### EMFComparePlugin

    public EMFComparePlugin()

  Default constructor.

Method Detail

### getDefault

    public static EMFComparePlugin getDefault()

  Returns the plugin's shared instance.

  Returns:
    The plugin's shared instance.

### log

    public static void log(java.lang.Exception e,
                           boolean blocker)

  Trace an Exception in the error log.

  Parameters:
    `e` - Exception to log.
    `blocker` - `True` if the exception must be logged as error, `False` to log it as a warning.

### log

    public static void log(org.eclipse.core.runtime.IStatus status)

  Puts the given status in the error log view.

  Parameters:
    `status` - Error Status.

### log

    public static void log(java.lang.String message,
                           boolean blocker)

  Puts the given message in the error log view, as error or warning.

  Parameters:
    `message` - The message to put in the error log view.
    `blocker` - `True` if the message must be logged as error, `False` to log it as a warning.

### getBoolean

    public boolean getBoolean(java.lang.String preferenceKey)

  Returns the current value of the boolean-valued preference with the given key.

  Parameters:
    `preferenceKey` - Name of the property which value is to be retrieved.
  Returns:
    Current value of the boolean-valued preference with the given key.

### getInt

    public int getInt(java.lang.String preferenceKey)

  Returns the current value of the integer-valued preference with the given key.

  Parameters:
    `preferenceKey` - Name of the property which value is to be retrieved.
  Returns:
    Current value of the integer-valued preference with the given key.

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `org.eclipse.core.runtime.Plugin`
  Throws:
    `java.lang.Exception`
  See Also:
    `Plugin.start(BundleContext)`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `stop` in class `org.eclipse.core.runtime.Plugin`
  Throws:
    `java.lang.Exception`
  See Also:
    `Plugin.stop(BundleContext)`

Copyright 2006 IBM Corporation and others. All Rights Reserved.